@echo Started: %date% %time%
@echo off

pushd %~dp0

rem Python -X utf8 tw_update.py
rem Python -X utf8 outfits_convert.py
rem Python -X utf8 npcs_convert.py

if %PROCESSOR_ARCHITECTURE% == AMD64 (
	CALL "%~dp0sugarcube\devTools\tweeGo\tweego_win64.exe" --head "%~dp0sugarcube\src\head.txt" -o "%~dp0glife.html" "%~dp0sugarcube\src"
) else (
	CALL "%~dp0sugarcube\devTools\tweeGo\tweego_win86.exe" --head "%~dp0sugarcube\src\head.txt" -o "%~dp0glife.html" "%~dp0sugarcube\src"
)

Python -X utf8 sugarcube_postCompile.py

popd
@echo Completed: %date% %time%
